### Constructor

# Phosh EmergencyContact new

#### Declaration [src]

    PhoshEmergencyContact*
    phosh_emergency_contact_new (
      const char* id,
      const char* name,
      gint32 source,
      GVariant* additional_properties
    )

#### Description [src]

# phosh_emergency_contact_new creates a new `PhoshEmergencyContact` with the provided information.

The input information is designed parsed from the DBus API and then provided to this function. See `PhoshEmergencyContactManager` `on_update_finish` function for reference.

#### Parameters

`id`

  Type: `const char*`

  The id that is given to this emergency contact by the calls DBus API. Eg `+123 123 123`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const char*`

  The name of person in this emergency contact. Eg Bob.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`source`

  Type: `gint32`

  An integer identifying the source of the emergency contact. Eg SIM card or user entered.

`additional_properties`

  Type: `GVariant`

  Any other information, given by the calls DBus API. Format is `a{sv}`

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshEmergencyContact`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.